Package org.eclipse.emf.cdo.util

## Class CDOModificationTrackingAdapter

- java.lang.Object
- - org.eclipse.emf.common.notify.impl.AdapterImpl
  - - org.eclipse.emf.ecore.util.EContentAdapter
    - - org.eclipse.emf.cdo.util.CDOLazyContentAdapter
      - - org.eclipse.emf.cdo.util.CDOModificationTrackingAdapter

- All Implemented Interfaces:
    `Adapter`, `Adapter.Internal`

      public class CDOModificationTrackingAdapter
      extends CDOLazyContentAdapter

  Maintains the `modified state` of a CDO `resource` with the help of a `transaction handler`.
  Since:
    4.0
  Author:
    Victor Roldan Betancort

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.eclipse.emf.common.notify.Adapter

      `Adapter.Internal`

  - ### Field Summary

    - ### Fields inherited from class org.eclipse.emf.ecore.util.EContentAdapter

      `iterating`

    - ### Fields inherited from class org.eclipse.emf.common.notify.impl.AdapterImpl

      `target`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `CDOModificationTrackingAdapter​(CDOResource resource)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `notifyChanged​(Notification notification)` |

    - ### Methods inherited from class org.eclipse.emf.cdo.util.CDOLazyContentAdapter

      `addAdapter, setTarget, unsetTarget`

    - ### Methods inherited from class org.eclipse.emf.ecore.util.EContentAdapter

      `basicSetTarget, basicUnsetTarget, handleContainment, removeAdapter, removeAdapter, resolve, selfAdapt, setTarget, setTarget, setTarget, unsetTarget, unsetTarget, unsetTarget, unsetTarget, useRecursion`

    - ### Methods inherited from class org.eclipse.emf.common.notify.impl.AdapterImpl

      `getTarget, isAdapterForType`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CDOModificationTrackingAdapter

          public CDOModificationTrackingAdapter​(CDOResource resource)

  - ### Method Detail

    - #### notifyChanged

          public void notifyChanged​(Notification notification)

      Specified by:
        `notifyChanged` in interface `Adapter`
      Overrides:
        `notifyChanged` in class `EContentAdapter`